Support » Plugin: WP Store Locator » Doesn't work in my site :(

Viewing 9 replies - 1 through 9 (of 9 total)
  • Plugin Author Tijmen Smit

    (@tijmensmit)

    There are some js errors that break the map script from running. If you fix them first, then the map should work ( if not then let me know).

    Timestamp: 26/06/2014 18:57:48
    Error: TypeError: a.browser is undefined
    Source File: http://dropmoon.es/wp-content/themes/longpage/design/js/libs/jquery.colorbox-min.js?ver=3.9.1
    Line: 4

    Timestamp: 26/06/2014 18:57:48
    Error: TypeError: $.browser is undefined
    Source File: http://dropmoon.es/wp-content/themes/longpage/design/js/libs/jquery.fancybox-1.3.4.js?ver=3.9.1
    Line: 29

    Timestamp: 26/06/2014 18:57:48
    Error: TypeError: $j(…).colorbox is not a function
    Source File: http://dropmoon.es/wp-content/themes/longpage/design/js/script.js?ver=3.9.1
    Line: 223

    If you use Firefox you can install this add-on to check for js errors https://addons.mozilla.org/en-US/firefox/addon/web-developer/ It will in the right top of your browser bar show either 3 green boxes, or a red / orange one. You can then click on it, and see which scripts cause the error.

    Plugin Author Tijmen Smit

    (@tijmensmit)

    Btw, maybe updating jQuery is the problem here. New jQuery version sometimes remove support for functions that are required by other older scripts. Or did it also not work before you updated jQuery?

    Alberto

    (@alberthoba)

    Thanks a lot Tijmen!!

    It doesn’t work before I updated jQuery.

    I fix the js errors and now the map works. But the drop-down options of search radious and results don’t work. Do you know why?

    Thanks again in advace!!

    Plugin Author Tijmen Smit

    (@tijmensmit)

    If you switch back to the default wp theme, does it work then?

    Alberto

    (@alberthoba)

    Yes, it works with the default wp theme. So, I suppose that must be some conflict between the theme and the plugin.

    Plugin Author Tijmen Smit

    (@tijmensmit)

    The dropdown library for some reason sets the height to 0px for the dropdowns in your theme. I don’t have time to look into it today, but will tomorrow.

    Alberto

    (@alberthoba)

    Ok, thank you very much!!

    Plugin Author Tijmen Smit

    (@tijmensmit)

    Can you open the /frontend/class-frontend.php look for the ‘function add_frontend_scripts()’ at the bottom of the page. The on the second line change jquery.easydropdown.min.js to jquery.easydropdown.js.

    Then open /js/jquery.easydropdown.js and look for the ‘getMaxHeight: function(){‘ add this line after the ‘self.maxHeight’.

    self.$items = self.$dropDown.find('li');

    Does that fix it? If not, can you email me your theme files at info at tijmensmit.com then I can try and replicate the problem at my own installation.

    Alberto

    (@alberthoba)

    It works now.

    Thanks a lot Tijmen!!

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘Doesn't work in my site :(’ is closed to new replies.